%global enable_tests 0
%global srcname path-exists
Epoch:               1
Name:                nodejs-%{srcname}
Version:             3.0.0
Release:             1
Summary:             Promisify a callback-style function
License:             MIT
URL:                 https://github.com/sindresorhus/path-exists
Source0:             https://github.com/sindresorhus/path-exists/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(ava)
%endif
%description
%{summary}.

%prep
%autosetup -n path-exists-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
ava
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}

%changelog
* Mon Aug 31 2020 wutao <wutao61@huawei.com> - 3.0.0-1
- Package init
